petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSectionGetFieldComponents

Returns the number of field components for the given field.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetFieldComponents(PetscSection s, PetscInt field, PetscInt *numComp)

Not collective Many br

### Input Parameters

| s | - the PetscSection Many br
| field | - the field number Many br

### Output Parameter

numComp -the number of field components Many br

Many br

### See Also

PetscSectionSetNumFieldComponents(), PetscSectionGetNumFields()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages